package com.mortals.xhx.common.pdu.site;
import java.util.Date;
import java.util.List;
import com.mortals.framework.model.BaseEntityLong;

/**
* 站点Pdu对象
*
* @author zxfei
* @date 2022-06-28
*/

public class SitePdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 父级id,默认0
    */
    private Long parentId;
    /**
    * 祖级列表，逗号分隔
    */
    private String ancestors;
    /**
    * 区域编号
    */
    private String regionCode;
    /**
    * 标识ID
    */
    private String iid;
    /**
    * 站点编号
    */
    private String siteCode;
    /**
    * 省编码
    */
    private String proCode;
    /**
    * 区编码
    */
    private String areaCode;
    /**
    * 市编码
    */
    private String cityCode;
    /**
    * 站点服务器ip
    */
    private String siteIp;
    /**
    * 站点服务器端口
    */
    private String sitePort;
    /**
    * 经度
    */
    private String longitude;
    /**
    * 纬度
    */
    private String latitude;
    /**
    * 是否有下级(0.否，1.是)
    */
    private String haveSonArea;
    /**
    * 中心联系电话
    */
    private String siteTel;
    /**
    * 中心详细地址
    */
    private String detailAddress;
    /**
    * 中心介绍
    */
    private String siteRemark;
    /**
    * 上午上班开始时间
    */
    private String amWorkStartTime;
    /**
    * 上午上班结束时间
    */
    private String amWorkEndTime;
    /**
    * 下午上班开始时间
    */
    private String pmWorkStartTime;
    /**
    * 下午上班结束时间
    */
    private String pmWorkEndTime;
    /**
    * 平均等待时间,后期删除
    */
    private Integer averageTime;
    /**
    * 等待人数,后期删除
    */
    private Integer waitingNumber;
    /**
    * 周一 (1.上班，0.不上)
    */
    private Integer workday1;
    /**
    * 周二 (1.上班，0.不上)
    */
    private Integer workday2;
    /**
    * 周三 (1.上班，0.不上)
    */
    private Integer workday3;
    /**
    * 周四 (1.上班，0.不上)
    */
    private Integer workday4;
    /**
    * 周五 (1.上班，0.不上)
    */
    private Integer workday5;
    /**
    * 周六 (1.上班，0.不上)
    */
    private Integer workday6;
    /**
    * 周日 (1.上班，0.不上)
    */
    private Integer workday7;
    /**
    * 楼层
    */
    private Integer level;
    /**
    * 楼栋
    */
    private Integer building;
    /**
    * 是否是站点  (1.是,0.否)
    */
    private Integer isSite;
    /**
    * 站点状态 (0.停用，1.正常)
    */
    private Integer status;
    /**
    * 部署模块，逗号分隔
    */
    private String modelIds;

    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 开始 父级id,默认0 */
    private Long parentIdStart;

    /** 结束 父级id,默认0 */
    private Long parentIdEnd;

    /** 增加 父级id,默认0 */
    private Long parentIdIncrement;

    /** 父级id,默认0列表 */
    private List <Long> parentIdList;

    /** 祖级列表，逗号分隔 */
    private List<String> ancestorsList;

    /** 区域编号 */
    private List<String> regionCodeList;

    /** 标识ID */
    private List<String> iidList;

    /** 站点编号 */
    private List<String> siteCodeList;

    /** 省编码 */
    private List<String> proCodeList;

    /** 区编码 */
    private List<String> areaCodeList;

    /** 市编码 */
    private List<String> cityCodeList;

    /** 站点服务器ip */
    private List<String> siteIpList;

    /** 站点服务器端口 */
    private List<String> sitePortList;

    /** 经度 */
    private List<String> longitudeList;

    /** 纬度 */
    private List<String> latitudeList;

    /** 是否有下级(0.否，1.是) */
    private List<String> haveSonAreaList;

    /** 中心联系电话 */
    private List<String> siteTelList;

    /** 中心详细地址 */
    private List<String> detailAddressList;

    /** 中心介绍 */
    private List<String> siteRemarkList;

    /** 上午上班开始时间 */
    private List<String> amWorkStartTimeList;

    /** 上午上班结束时间 */
    private List<String> amWorkEndTimeList;

    /** 下午上班开始时间 */
    private List<String> pmWorkStartTimeList;

    /** 下午上班结束时间 */
    private List<String> pmWorkEndTimeList;

    /** 开始 平均等待时间,后期删除 */
    private Integer averageTimeStart;

    /** 结束 平均等待时间,后期删除 */
    private Integer averageTimeEnd;

    /** 增加 平均等待时间,后期删除 */
    private Integer averageTimeIncrement;

    /** 平均等待时间,后期删除列表 */
    private List <Integer> averageTimeList;

    /** 开始 等待人数,后期删除 */
    private Integer waitingNumberStart;

    /** 结束 等待人数,后期删除 */
    private Integer waitingNumberEnd;

    /** 增加 等待人数,后期删除 */
    private Integer waitingNumberIncrement;

    /** 等待人数,后期删除列表 */
    private List <Integer> waitingNumberList;

    /** 开始 周一 (1.上班，0.不上) */
    private Integer workday1Start;

    /** 结束 周一 (1.上班，0.不上) */
    private Integer workday1End;

    /** 增加 周一 (1.上班，0.不上) */
    private Integer workday1Increment;

    /** 周一 (1.上班，0.不上)列表 */
    private List <Integer> workday1List;

    /** 开始 周二 (1.上班，0.不上) */
    private Integer workday2Start;

    /** 结束 周二 (1.上班，0.不上) */
    private Integer workday2End;

    /** 增加 周二 (1.上班，0.不上) */
    private Integer workday2Increment;

    /** 周二 (1.上班，0.不上)列表 */
    private List <Integer> workday2List;

    /** 开始 周三 (1.上班，0.不上) */
    private Integer workday3Start;

    /** 结束 周三 (1.上班，0.不上) */
    private Integer workday3End;

    /** 增加 周三 (1.上班，0.不上) */
    private Integer workday3Increment;

    /** 周三 (1.上班，0.不上)列表 */
    private List <Integer> workday3List;

    /** 开始 周四 (1.上班，0.不上) */
    private Integer workday4Start;

    /** 结束 周四 (1.上班，0.不上) */
    private Integer workday4End;

    /** 增加 周四 (1.上班，0.不上) */
    private Integer workday4Increment;

    /** 周四 (1.上班，0.不上)列表 */
    private List <Integer> workday4List;

    /** 开始 周五 (1.上班，0.不上) */
    private Integer workday5Start;

    /** 结束 周五 (1.上班，0.不上) */
    private Integer workday5End;

    /** 增加 周五 (1.上班，0.不上) */
    private Integer workday5Increment;

    /** 周五 (1.上班，0.不上)列表 */
    private List <Integer> workday5List;

    /** 开始 周六 (1.上班，0.不上) */
    private Integer workday6Start;

    /** 结束 周六 (1.上班，0.不上) */
    private Integer workday6End;

    /** 增加 周六 (1.上班，0.不上) */
    private Integer workday6Increment;

    /** 周六 (1.上班，0.不上)列表 */
    private List <Integer> workday6List;

    /** 开始 周日 (1.上班，0.不上) */
    private Integer workday7Start;

    /** 结束 周日 (1.上班，0.不上) */
    private Integer workday7End;

    /** 增加 周日 (1.上班，0.不上) */
    private Integer workday7Increment;

    /** 周日 (1.上班，0.不上)列表 */
    private List <Integer> workday7List;

    /** 开始 楼层 */
    private Integer levelStart;

    /** 结束 楼层 */
    private Integer levelEnd;

    /** 增加 楼层 */
    private Integer levelIncrement;

    /** 楼层列表 */
    private List <Integer> levelList;

    /** 开始 楼栋 */
    private Integer buildingStart;

    /** 结束 楼栋 */
    private Integer buildingEnd;

    /** 增加 楼栋 */
    private Integer buildingIncrement;

    /** 楼栋列表 */
    private List <Integer> buildingList;

    /** 开始 是否是站点  (1.是,0.否) */
    private Integer isSiteStart;

    /** 结束 是否是站点  (1.是,0.否) */
    private Integer isSiteEnd;

    /** 增加 是否是站点  (1.是,0.否) */
    private Integer isSiteIncrement;

    /** 是否是站点  (1.是,0.否)列表 */
    private List <Integer> isSiteList;

    /** 开始 站点状态 (0.停用，1.正常) */
    private Integer statusStart;

    /** 结束 站点状态 (0.停用，1.正常) */
    private Integer statusEnd;

    /** 增加 站点状态 (0.停用，1.正常) */
    private Integer statusIncrement;

    /** 站点状态 (0.停用，1.正常)列表 */
    private List <Integer> statusList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 部署模块，逗号分隔 */
    private List<String> modelIdsList;


    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SitePdu> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SitePdu> andConditionList;

    public SitePdu(){}
    /**
    * 获取 站点名称
    * @return String
    */
    public String getSiteName(){
        return siteName;
    }
    /**
    * 设置 站点名称
    * @param siteName
    */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
    * 获取 父级id,默认0
    * @return Long
    */
    public Long getParentId(){
        return parentId;
    }
    /**
    * 设置 父级id,默认0
    * @param parentId
    */
    public void setParentId(Long parentId){
        this.parentId = parentId;
    }
    /**
    * 获取 祖级列表，逗号分隔
    * @return String
    */
    public String getAncestors(){
        return ancestors;
    }
    /**
    * 设置 祖级列表，逗号分隔
    * @param ancestors
    */
    public void setAncestors(String ancestors){
        this.ancestors = ancestors;
    }
    /**
    * 获取 区域编号
    * @return String
    */
    public String getRegionCode(){
        return regionCode;
    }
    /**
    * 设置 区域编号
    * @param regionCode
    */
    public void setRegionCode(String regionCode){
        this.regionCode = regionCode;
    }
    /**
    * 获取 标识ID
    * @return String
    */
    public String getIid(){
        return iid;
    }
    /**
    * 设置 标识ID
    * @param iid
    */
    public void setIid(String iid){
        this.iid = iid;
    }
    /**
    * 获取 站点编号
    * @return String
    */
    public String getSiteCode(){
        return siteCode;
    }
    /**
    * 设置 站点编号
    * @param siteCode
    */
    public void setSiteCode(String siteCode){
        this.siteCode = siteCode;
    }
    /**
    * 获取 省编码
    * @return String
    */
    public String getProCode(){
        return proCode;
    }
    /**
    * 设置 省编码
    * @param proCode
    */
    public void setProCode(String proCode){
        this.proCode = proCode;
    }
    /**
    * 获取 区编码
    * @return String
    */
    public String getAreaCode(){
        return areaCode;
    }
    /**
    * 设置 区编码
    * @param areaCode
    */
    public void setAreaCode(String areaCode){
        this.areaCode = areaCode;
    }
    /**
    * 获取 市编码
    * @return String
    */
    public String getCityCode(){
        return cityCode;
    }
    /**
    * 设置 市编码
    * @param cityCode
    */
    public void setCityCode(String cityCode){
        this.cityCode = cityCode;
    }
    /**
    * 获取 站点服务器ip
    * @return String
    */
    public String getSiteIp(){
        return siteIp;
    }
    /**
    * 设置 站点服务器ip
    * @param siteIp
    */
    public void setSiteIp(String siteIp){
        this.siteIp = siteIp;
    }
    /**
    * 获取 站点服务器端口
    * @return String
    */
    public String getSitePort(){
        return sitePort;
    }
    /**
    * 设置 站点服务器端口
    * @param sitePort
    */
    public void setSitePort(String sitePort){
        this.sitePort = sitePort;
    }
    /**
    * 获取 经度
    * @return String
    */
    public String getLongitude(){
        return longitude;
    }
    /**
    * 设置 经度
    * @param longitude
    */
    public void setLongitude(String longitude){
        this.longitude = longitude;
    }
    /**
    * 获取 纬度
    * @return String
    */
    public String getLatitude(){
        return latitude;
    }
    /**
    * 设置 纬度
    * @param latitude
    */
    public void setLatitude(String latitude){
        this.latitude = latitude;
    }
    /**
    * 获取 是否有下级(0.否，1.是)
    * @return String
    */
    public String getHaveSonArea(){
        return haveSonArea;
    }
    /**
    * 设置 是否有下级(0.否，1.是)
    * @param haveSonArea
    */
    public void setHaveSonArea(String haveSonArea){
        this.haveSonArea = haveSonArea;
    }
    /**
    * 获取 中心联系电话
    * @return String
    */
    public String getSiteTel(){
        return siteTel;
    }
    /**
    * 设置 中心联系电话
    * @param siteTel
    */
    public void setSiteTel(String siteTel){
        this.siteTel = siteTel;
    }
    /**
    * 获取 中心详细地址
    * @return String
    */
    public String getDetailAddress(){
        return detailAddress;
    }
    /**
    * 设置 中心详细地址
    * @param detailAddress
    */
    public void setDetailAddress(String detailAddress){
        this.detailAddress = detailAddress;
    }
    /**
    * 获取 中心介绍
    * @return String
    */
    public String getSiteRemark(){
        return siteRemark;
    }
    /**
    * 设置 中心介绍
    * @param siteRemark
    */
    public void setSiteRemark(String siteRemark){
        this.siteRemark = siteRemark;
    }
    /**
    * 获取 上午上班开始时间
    * @return String
    */
    public String getAmWorkStartTime(){
        return amWorkStartTime;
    }
    /**
    * 设置 上午上班开始时间
    * @param amWorkStartTime
    */
    public void setAmWorkStartTime(String amWorkStartTime){
        this.amWorkStartTime = amWorkStartTime;
    }
    /**
    * 获取 上午上班结束时间
    * @return String
    */
    public String getAmWorkEndTime(){
        return amWorkEndTime;
    }
    /**
    * 设置 上午上班结束时间
    * @param amWorkEndTime
    */
    public void setAmWorkEndTime(String amWorkEndTime){
        this.amWorkEndTime = amWorkEndTime;
    }
    /**
    * 获取 下午上班开始时间
    * @return String
    */
    public String getPmWorkStartTime(){
        return pmWorkStartTime;
    }
    /**
    * 设置 下午上班开始时间
    * @param pmWorkStartTime
    */
    public void setPmWorkStartTime(String pmWorkStartTime){
        this.pmWorkStartTime = pmWorkStartTime;
    }
    /**
    * 获取 下午上班结束时间
    * @return String
    */
    public String getPmWorkEndTime(){
        return pmWorkEndTime;
    }
    /**
    * 设置 下午上班结束时间
    * @param pmWorkEndTime
    */
    public void setPmWorkEndTime(String pmWorkEndTime){
        this.pmWorkEndTime = pmWorkEndTime;
    }
    /**
    * 获取 平均等待时间,后期删除
    * @return Integer
    */
    public Integer getAverageTime(){
        return averageTime;
    }
    /**
    * 设置 平均等待时间,后期删除
    * @param averageTime
    */
    public void setAverageTime(Integer averageTime){
        this.averageTime = averageTime;
    }
    /**
    * 获取 等待人数,后期删除
    * @return Integer
    */
    public Integer getWaitingNumber(){
        return waitingNumber;
    }
    /**
    * 设置 等待人数,后期删除
    * @param waitingNumber
    */
    public void setWaitingNumber(Integer waitingNumber){
        this.waitingNumber = waitingNumber;
    }
    /**
    * 获取 周一 (1.上班，0.不上)
    * @return Integer
    */
    public Integer getWorkday1(){
        return workday1;
    }
    /**
    * 设置 周一 (1.上班，0.不上)
    * @param workday1
    */
    public void setWorkday1(Integer workday1){
        this.workday1 = workday1;
    }
    /**
    * 获取 周二 (1.上班，0.不上)
    * @return Integer
    */
    public Integer getWorkday2(){
        return workday2;
    }
    /**
    * 设置 周二 (1.上班，0.不上)
    * @param workday2
    */
    public void setWorkday2(Integer workday2){
        this.workday2 = workday2;
    }
    /**
    * 获取 周三 (1.上班，0.不上)
    * @return Integer
    */
    public Integer getWorkday3(){
        return workday3;
    }
    /**
    * 设置 周三 (1.上班，0.不上)
    * @param workday3
    */
    public void setWorkday3(Integer workday3){
        this.workday3 = workday3;
    }
    /**
    * 获取 周四 (1.上班，0.不上)
    * @return Integer
    */
    public Integer getWorkday4(){
        return workday4;
    }
    /**
    * 设置 周四 (1.上班，0.不上)
    * @param workday4
    */
    public void setWorkday4(Integer workday4){
        this.workday4 = workday4;
    }
    /**
    * 获取 周五 (1.上班，0.不上)
    * @return Integer
    */
    public Integer getWorkday5(){
        return workday5;
    }
    /**
    * 设置 周五 (1.上班，0.不上)
    * @param workday5
    */
    public void setWorkday5(Integer workday5){
        this.workday5 = workday5;
    }
    /**
    * 获取 周六 (1.上班，0.不上)
    * @return Integer
    */
    public Integer getWorkday6(){
        return workday6;
    }
    /**
    * 设置 周六 (1.上班，0.不上)
    * @param workday6
    */
    public void setWorkday6(Integer workday6){
        this.workday6 = workday6;
    }
    /**
    * 获取 周日 (1.上班，0.不上)
    * @return Integer
    */
    public Integer getWorkday7(){
        return workday7;
    }
    /**
    * 设置 周日 (1.上班，0.不上)
    * @param workday7
    */
    public void setWorkday7(Integer workday7){
        this.workday7 = workday7;
    }
    /**
    * 获取 楼层
    * @return Integer
    */
    public Integer getLevel(){
        return level;
    }
    /**
    * 设置 楼层
    * @param level
    */
    public void setLevel(Integer level){
        this.level = level;
    }
    /**
    * 获取 楼栋
    * @return Integer
    */
    public Integer getBuilding(){
        return building;
    }
    /**
    * 设置 楼栋
    * @param building
    */
    public void setBuilding(Integer building){
        this.building = building;
    }
    /**
    * 获取 是否是站点  (1.是,0.否)
    * @return Integer
    */
    public Integer getIsSite(){
        return isSite;
    }
    /**
    * 设置 是否是站点  (1.是,0.否)
    * @param isSite
    */
    public void setIsSite(Integer isSite){
        this.isSite = isSite;
    }
    /**
    * 获取 站点状态 (0.停用，1.正常)
    * @return Integer
    */
    public Integer getStatus(){
        return status;
    }
    /**
    * 设置 站点状态 (0.停用，1.正常)
    * @param status
    */
    public void setStatus(Integer status){
        this.status = status;
    }
    /**
    * 获取 部署模块，逗号分隔
    * @return String
    */
    public String getModelIds(){
        return modelIds;
    }
    /**
    * 设置 部署模块，逗号分隔
    * @param modelIds
    */
    public void setModelIds(String modelIds){
        this.modelIds = modelIds;
    }

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }
    /**
    * 获取 开始 父级id,默认0
    * @return parentIdStart
    */
    public Long getParentIdStart(){
        return this.parentIdStart;
    }

    /**
    * 设置 开始 父级id,默认0
    * @param parentIdStart
    */
    public void setParentIdStart(Long parentIdStart){
        this.parentIdStart = parentIdStart;
    }

    /**
    * 获取 结束 父级id,默认0
    * @return $parentIdEnd
    */
    public Long getParentIdEnd(){
        return this.parentIdEnd;
    }

    /**
    * 设置 结束 父级id,默认0
    * @param parentIdEnd
    */
    public void setParentIdEnd(Long parentIdEnd){
        this.parentIdEnd = parentIdEnd;
    }

    /**
    * 获取 增加 父级id,默认0
    * @return parentIdIncrement
    */
    public Long getParentIdIncrement(){
        return this.parentIdIncrement;
    }

    /**
    * 设置 增加 父级id,默认0
    * @param parentIdIncrement
    */
    public void setParentIdIncrement(Long parentIdIncrement){
        this.parentIdIncrement = parentIdIncrement;
    }

    /**
    * 获取 父级id,默认0
    * @return parentIdList
    */
    public List<Long> getParentIdList(){
        return this.parentIdList;
    }

    /**
    * 设置 父级id,默认0
    * @param parentIdList
    */
    public void setParentIdList(List<Long> parentIdList){
        this.parentIdList = parentIdList;
    }

    /**
    * 获取 祖级列表，逗号分隔
    * @return ancestorsList
    */
    public List<String> getAncestorsList(){
        return this.ancestorsList;
    }

    /**
    * 设置 祖级列表，逗号分隔
    * @param ancestorsList
    */
    public void setAncestorsList(List<String> ancestorsList){
        this.ancestorsList = ancestorsList;
    }
    /**
    * 获取 区域编号
    * @return regionCodeList
    */
    public List<String> getRegionCodeList(){
        return this.regionCodeList;
    }

    /**
    * 设置 区域编号
    * @param regionCodeList
    */
    public void setRegionCodeList(List<String> regionCodeList){
        this.regionCodeList = regionCodeList;
    }
    /**
    * 获取 标识ID
    * @return iidList
    */
    public List<String> getIidList(){
        return this.iidList;
    }

    /**
    * 设置 标识ID
    * @param iidList
    */
    public void setIidList(List<String> iidList){
        this.iidList = iidList;
    }
    /**
    * 获取 站点编号
    * @return siteCodeList
    */
    public List<String> getSiteCodeList(){
        return this.siteCodeList;
    }

    /**
    * 设置 站点编号
    * @param siteCodeList
    */
    public void setSiteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
    }
    /**
    * 获取 省编码
    * @return proCodeList
    */
    public List<String> getProCodeList(){
        return this.proCodeList;
    }

    /**
    * 设置 省编码
    * @param proCodeList
    */
    public void setProCodeList(List<String> proCodeList){
        this.proCodeList = proCodeList;
    }
    /**
    * 获取 区编码
    * @return areaCodeList
    */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
    * 设置 区编码
    * @param areaCodeList
    */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }
    /**
    * 获取 市编码
    * @return cityCodeList
    */
    public List<String> getCityCodeList(){
        return this.cityCodeList;
    }

    /**
    * 设置 市编码
    * @param cityCodeList
    */
    public void setCityCodeList(List<String> cityCodeList){
        this.cityCodeList = cityCodeList;
    }
    /**
    * 获取 站点服务器ip
    * @return siteIpList
    */
    public List<String> getSiteIpList(){
        return this.siteIpList;
    }

    /**
    * 设置 站点服务器ip
    * @param siteIpList
    */
    public void setSiteIpList(List<String> siteIpList){
        this.siteIpList = siteIpList;
    }
    /**
    * 获取 站点服务器端口
    * @return sitePortList
    */
    public List<String> getSitePortList(){
        return this.sitePortList;
    }

    /**
    * 设置 站点服务器端口
    * @param sitePortList
    */
    public void setSitePortList(List<String> sitePortList){
        this.sitePortList = sitePortList;
    }
    /**
    * 获取 经度
    * @return longitudeList
    */
    public List<String> getLongitudeList(){
        return this.longitudeList;
    }

    /**
    * 设置 经度
    * @param longitudeList
    */
    public void setLongitudeList(List<String> longitudeList){
        this.longitudeList = longitudeList;
    }
    /**
    * 获取 纬度
    * @return latitudeList
    */
    public List<String> getLatitudeList(){
        return this.latitudeList;
    }

    /**
    * 设置 纬度
    * @param latitudeList
    */
    public void setLatitudeList(List<String> latitudeList){
        this.latitudeList = latitudeList;
    }
    /**
    * 获取 是否有下级(0.否，1.是)
    * @return haveSonAreaList
    */
    public List<String> getHaveSonAreaList(){
        return this.haveSonAreaList;
    }

    /**
    * 设置 是否有下级(0.否，1.是)
    * @param haveSonAreaList
    */
    public void setHaveSonAreaList(List<String> haveSonAreaList){
        this.haveSonAreaList = haveSonAreaList;
    }
    /**
    * 获取 中心联系电话
    * @return siteTelList
    */
    public List<String> getSiteTelList(){
        return this.siteTelList;
    }

    /**
    * 设置 中心联系电话
    * @param siteTelList
    */
    public void setSiteTelList(List<String> siteTelList){
        this.siteTelList = siteTelList;
    }
    /**
    * 获取 中心详细地址
    * @return detailAddressList
    */
    public List<String> getDetailAddressList(){
        return this.detailAddressList;
    }

    /**
    * 设置 中心详细地址
    * @param detailAddressList
    */
    public void setDetailAddressList(List<String> detailAddressList){
        this.detailAddressList = detailAddressList;
    }
    /**
    * 获取 中心介绍
    * @return siteRemarkList
    */
    public List<String> getSiteRemarkList(){
        return this.siteRemarkList;
    }

    /**
    * 设置 中心介绍
    * @param siteRemarkList
    */
    public void setSiteRemarkList(List<String> siteRemarkList){
        this.siteRemarkList = siteRemarkList;
    }
    /**
    * 获取 上午上班开始时间
    * @return amWorkStartTimeList
    */
    public List<String> getAmWorkStartTimeList(){
        return this.amWorkStartTimeList;
    }

    /**
    * 设置 上午上班开始时间
    * @param amWorkStartTimeList
    */
    public void setAmWorkStartTimeList(List<String> amWorkStartTimeList){
        this.amWorkStartTimeList = amWorkStartTimeList;
    }
    /**
    * 获取 上午上班结束时间
    * @return amWorkEndTimeList
    */
    public List<String> getAmWorkEndTimeList(){
        return this.amWorkEndTimeList;
    }

    /**
    * 设置 上午上班结束时间
    * @param amWorkEndTimeList
    */
    public void setAmWorkEndTimeList(List<String> amWorkEndTimeList){
        this.amWorkEndTimeList = amWorkEndTimeList;
    }
    /**
    * 获取 下午上班开始时间
    * @return pmWorkStartTimeList
    */
    public List<String> getPmWorkStartTimeList(){
        return this.pmWorkStartTimeList;
    }

    /**
    * 设置 下午上班开始时间
    * @param pmWorkStartTimeList
    */
    public void setPmWorkStartTimeList(List<String> pmWorkStartTimeList){
        this.pmWorkStartTimeList = pmWorkStartTimeList;
    }
    /**
    * 获取 下午上班结束时间
    * @return pmWorkEndTimeList
    */
    public List<String> getPmWorkEndTimeList(){
        return this.pmWorkEndTimeList;
    }

    /**
    * 设置 下午上班结束时间
    * @param pmWorkEndTimeList
    */
    public void setPmWorkEndTimeList(List<String> pmWorkEndTimeList){
        this.pmWorkEndTimeList = pmWorkEndTimeList;
    }
    /**
    * 获取 开始 平均等待时间,后期删除
    * @return averageTimeStart
    */
    public Integer getAverageTimeStart(){
        return this.averageTimeStart;
    }

    /**
    * 设置 开始 平均等待时间,后期删除
    * @param averageTimeStart
    */
    public void setAverageTimeStart(Integer averageTimeStart){
        this.averageTimeStart = averageTimeStart;
    }

    /**
    * 获取 结束 平均等待时间,后期删除
    * @return $averageTimeEnd
    */
    public Integer getAverageTimeEnd(){
        return this.averageTimeEnd;
    }

    /**
    * 设置 结束 平均等待时间,后期删除
    * @param averageTimeEnd
    */
    public void setAverageTimeEnd(Integer averageTimeEnd){
        this.averageTimeEnd = averageTimeEnd;
    }

    /**
    * 获取 增加 平均等待时间,后期删除
    * @return averageTimeIncrement
    */
    public Integer getAverageTimeIncrement(){
        return this.averageTimeIncrement;
    }

    /**
    * 设置 增加 平均等待时间,后期删除
    * @param averageTimeIncrement
    */
    public void setAverageTimeIncrement(Integer averageTimeIncrement){
        this.averageTimeIncrement = averageTimeIncrement;
    }

    /**
    * 获取 平均等待时间,后期删除
    * @return averageTimeList
    */
    public List<Integer> getAverageTimeList(){
        return this.averageTimeList;
    }

    /**
    * 设置 平均等待时间,后期删除
    * @param averageTimeList
    */
    public void setAverageTimeList(List<Integer> averageTimeList){
        this.averageTimeList = averageTimeList;
    }

    /**
    * 获取 开始 等待人数,后期删除
    * @return waitingNumberStart
    */
    public Integer getWaitingNumberStart(){
        return this.waitingNumberStart;
    }

    /**
    * 设置 开始 等待人数,后期删除
    * @param waitingNumberStart
    */
    public void setWaitingNumberStart(Integer waitingNumberStart){
        this.waitingNumberStart = waitingNumberStart;
    }

    /**
    * 获取 结束 等待人数,后期删除
    * @return $waitingNumberEnd
    */
    public Integer getWaitingNumberEnd(){
        return this.waitingNumberEnd;
    }

    /**
    * 设置 结束 等待人数,后期删除
    * @param waitingNumberEnd
    */
    public void setWaitingNumberEnd(Integer waitingNumberEnd){
        this.waitingNumberEnd = waitingNumberEnd;
    }

    /**
    * 获取 增加 等待人数,后期删除
    * @return waitingNumberIncrement
    */
    public Integer getWaitingNumberIncrement(){
        return this.waitingNumberIncrement;
    }

    /**
    * 设置 增加 等待人数,后期删除
    * @param waitingNumberIncrement
    */
    public void setWaitingNumberIncrement(Integer waitingNumberIncrement){
        this.waitingNumberIncrement = waitingNumberIncrement;
    }

    /**
    * 获取 等待人数,后期删除
    * @return waitingNumberList
    */
    public List<Integer> getWaitingNumberList(){
        return this.waitingNumberList;
    }

    /**
    * 设置 等待人数,后期删除
    * @param waitingNumberList
    */
    public void setWaitingNumberList(List<Integer> waitingNumberList){
        this.waitingNumberList = waitingNumberList;
    }

    /**
    * 获取 开始 周一 (1.上班，0.不上)
    * @return workday1Start
    */
    public Integer getWorkday1Start(){
        return this.workday1Start;
    }

    /**
    * 设置 开始 周一 (1.上班，0.不上)
    * @param workday1Start
    */
    public void setWorkday1Start(Integer workday1Start){
        this.workday1Start = workday1Start;
    }

    /**
    * 获取 结束 周一 (1.上班，0.不上)
    * @return $workday1End
    */
    public Integer getWorkday1End(){
        return this.workday1End;
    }

    /**
    * 设置 结束 周一 (1.上班，0.不上)
    * @param workday1End
    */
    public void setWorkday1End(Integer workday1End){
        this.workday1End = workday1End;
    }

    /**
    * 获取 增加 周一 (1.上班，0.不上)
    * @return workday1Increment
    */
    public Integer getWorkday1Increment(){
        return this.workday1Increment;
    }

    /**
    * 设置 增加 周一 (1.上班，0.不上)
    * @param workday1Increment
    */
    public void setWorkday1Increment(Integer workday1Increment){
        this.workday1Increment = workday1Increment;
    }

    /**
    * 获取 周一 (1.上班，0.不上)
    * @return workday1List
    */
    public List<Integer> getWorkday1List(){
        return this.workday1List;
    }

    /**
    * 设置 周一 (1.上班，0.不上)
    * @param workday1List
    */
    public void setWorkday1List(List<Integer> workday1List){
        this.workday1List = workday1List;
    }

    /**
    * 获取 开始 周二 (1.上班，0.不上)
    * @return workday2Start
    */
    public Integer getWorkday2Start(){
        return this.workday2Start;
    }

    /**
    * 设置 开始 周二 (1.上班，0.不上)
    * @param workday2Start
    */
    public void setWorkday2Start(Integer workday2Start){
        this.workday2Start = workday2Start;
    }

    /**
    * 获取 结束 周二 (1.上班，0.不上)
    * @return $workday2End
    */
    public Integer getWorkday2End(){
        return this.workday2End;
    }

    /**
    * 设置 结束 周二 (1.上班，0.不上)
    * @param workday2End
    */
    public void setWorkday2End(Integer workday2End){
        this.workday2End = workday2End;
    }

    /**
    * 获取 增加 周二 (1.上班，0.不上)
    * @return workday2Increment
    */
    public Integer getWorkday2Increment(){
        return this.workday2Increment;
    }

    /**
    * 设置 增加 周二 (1.上班，0.不上)
    * @param workday2Increment
    */
    public void setWorkday2Increment(Integer workday2Increment){
        this.workday2Increment = workday2Increment;
    }

    /**
    * 获取 周二 (1.上班，0.不上)
    * @return workday2List
    */
    public List<Integer> getWorkday2List(){
        return this.workday2List;
    }

    /**
    * 设置 周二 (1.上班，0.不上)
    * @param workday2List
    */
    public void setWorkday2List(List<Integer> workday2List){
        this.workday2List = workday2List;
    }

    /**
    * 获取 开始 周三 (1.上班，0.不上)
    * @return workday3Start
    */
    public Integer getWorkday3Start(){
        return this.workday3Start;
    }

    /**
    * 设置 开始 周三 (1.上班，0.不上)
    * @param workday3Start
    */
    public void setWorkday3Start(Integer workday3Start){
        this.workday3Start = workday3Start;
    }

    /**
    * 获取 结束 周三 (1.上班，0.不上)
    * @return $workday3End
    */
    public Integer getWorkday3End(){
        return this.workday3End;
    }

    /**
    * 设置 结束 周三 (1.上班，0.不上)
    * @param workday3End
    */
    public void setWorkday3End(Integer workday3End){
        this.workday3End = workday3End;
    }

    /**
    * 获取 增加 周三 (1.上班，0.不上)
    * @return workday3Increment
    */
    public Integer getWorkday3Increment(){
        return this.workday3Increment;
    }

    /**
    * 设置 增加 周三 (1.上班，0.不上)
    * @param workday3Increment
    */
    public void setWorkday3Increment(Integer workday3Increment){
        this.workday3Increment = workday3Increment;
    }

    /**
    * 获取 周三 (1.上班，0.不上)
    * @return workday3List
    */
    public List<Integer> getWorkday3List(){
        return this.workday3List;
    }

    /**
    * 设置 周三 (1.上班，0.不上)
    * @param workday3List
    */
    public void setWorkday3List(List<Integer> workday3List){
        this.workday3List = workday3List;
    }

    /**
    * 获取 开始 周四 (1.上班，0.不上)
    * @return workday4Start
    */
    public Integer getWorkday4Start(){
        return this.workday4Start;
    }

    /**
    * 设置 开始 周四 (1.上班，0.不上)
    * @param workday4Start
    */
    public void setWorkday4Start(Integer workday4Start){
        this.workday4Start = workday4Start;
    }

    /**
    * 获取 结束 周四 (1.上班，0.不上)
    * @return $workday4End
    */
    public Integer getWorkday4End(){
        return this.workday4End;
    }

    /**
    * 设置 结束 周四 (1.上班，0.不上)
    * @param workday4End
    */
    public void setWorkday4End(Integer workday4End){
        this.workday4End = workday4End;
    }

    /**
    * 获取 增加 周四 (1.上班，0.不上)
    * @return workday4Increment
    */
    public Integer getWorkday4Increment(){
        return this.workday4Increment;
    }

    /**
    * 设置 增加 周四 (1.上班，0.不上)
    * @param workday4Increment
    */
    public void setWorkday4Increment(Integer workday4Increment){
        this.workday4Increment = workday4Increment;
    }

    /**
    * 获取 周四 (1.上班，0.不上)
    * @return workday4List
    */
    public List<Integer> getWorkday4List(){
        return this.workday4List;
    }

    /**
    * 设置 周四 (1.上班，0.不上)
    * @param workday4List
    */
    public void setWorkday4List(List<Integer> workday4List){
        this.workday4List = workday4List;
    }

    /**
    * 获取 开始 周五 (1.上班，0.不上)
    * @return workday5Start
    */
    public Integer getWorkday5Start(){
        return this.workday5Start;
    }

    /**
    * 设置 开始 周五 (1.上班，0.不上)
    * @param workday5Start
    */
    public void setWorkday5Start(Integer workday5Start){
        this.workday5Start = workday5Start;
    }

    /**
    * 获取 结束 周五 (1.上班，0.不上)
    * @return $workday5End
    */
    public Integer getWorkday5End(){
        return this.workday5End;
    }

    /**
    * 设置 结束 周五 (1.上班，0.不上)
    * @param workday5End
    */
    public void setWorkday5End(Integer workday5End){
        this.workday5End = workday5End;
    }

    /**
    * 获取 增加 周五 (1.上班，0.不上)
    * @return workday5Increment
    */
    public Integer getWorkday5Increment(){
        return this.workday5Increment;
    }

    /**
    * 设置 增加 周五 (1.上班，0.不上)
    * @param workday5Increment
    */
    public void setWorkday5Increment(Integer workday5Increment){
        this.workday5Increment = workday5Increment;
    }

    /**
    * 获取 周五 (1.上班，0.不上)
    * @return workday5List
    */
    public List<Integer> getWorkday5List(){
        return this.workday5List;
    }

    /**
    * 设置 周五 (1.上班，0.不上)
    * @param workday5List
    */
    public void setWorkday5List(List<Integer> workday5List){
        this.workday5List = workday5List;
    }

    /**
    * 获取 开始 周六 (1.上班，0.不上)
    * @return workday6Start
    */
    public Integer getWorkday6Start(){
        return this.workday6Start;
    }

    /**
    * 设置 开始 周六 (1.上班，0.不上)
    * @param workday6Start
    */
    public void setWorkday6Start(Integer workday6Start){
        this.workday6Start = workday6Start;
    }

    /**
    * 获取 结束 周六 (1.上班，0.不上)
    * @return $workday6End
    */
    public Integer getWorkday6End(){
        return this.workday6End;
    }

    /**
    * 设置 结束 周六 (1.上班，0.不上)
    * @param workday6End
    */
    public void setWorkday6End(Integer workday6End){
        this.workday6End = workday6End;
    }

    /**
    * 获取 增加 周六 (1.上班，0.不上)
    * @return workday6Increment
    */
    public Integer getWorkday6Increment(){
        return this.workday6Increment;
    }

    /**
    * 设置 增加 周六 (1.上班，0.不上)
    * @param workday6Increment
    */
    public void setWorkday6Increment(Integer workday6Increment){
        this.workday6Increment = workday6Increment;
    }

    /**
    * 获取 周六 (1.上班，0.不上)
    * @return workday6List
    */
    public List<Integer> getWorkday6List(){
        return this.workday6List;
    }

    /**
    * 设置 周六 (1.上班，0.不上)
    * @param workday6List
    */
    public void setWorkday6List(List<Integer> workday6List){
        this.workday6List = workday6List;
    }

    /**
    * 获取 开始 周日 (1.上班，0.不上)
    * @return workday7Start
    */
    public Integer getWorkday7Start(){
        return this.workday7Start;
    }

    /**
    * 设置 开始 周日 (1.上班，0.不上)
    * @param workday7Start
    */
    public void setWorkday7Start(Integer workday7Start){
        this.workday7Start = workday7Start;
    }

    /**
    * 获取 结束 周日 (1.上班，0.不上)
    * @return $workday7End
    */
    public Integer getWorkday7End(){
        return this.workday7End;
    }

    /**
    * 设置 结束 周日 (1.上班，0.不上)
    * @param workday7End
    */
    public void setWorkday7End(Integer workday7End){
        this.workday7End = workday7End;
    }

    /**
    * 获取 增加 周日 (1.上班，0.不上)
    * @return workday7Increment
    */
    public Integer getWorkday7Increment(){
        return this.workday7Increment;
    }

    /**
    * 设置 增加 周日 (1.上班，0.不上)
    * @param workday7Increment
    */
    public void setWorkday7Increment(Integer workday7Increment){
        this.workday7Increment = workday7Increment;
    }

    /**
    * 获取 周日 (1.上班，0.不上)
    * @return workday7List
    */
    public List<Integer> getWorkday7List(){
        return this.workday7List;
    }

    /**
    * 设置 周日 (1.上班，0.不上)
    * @param workday7List
    */
    public void setWorkday7List(List<Integer> workday7List){
        this.workday7List = workday7List;
    }

    /**
    * 获取 开始 楼层
    * @return levelStart
    */
    public Integer getLevelStart(){
        return this.levelStart;
    }

    /**
    * 设置 开始 楼层
    * @param levelStart
    */
    public void setLevelStart(Integer levelStart){
        this.levelStart = levelStart;
    }

    /**
    * 获取 结束 楼层
    * @return $levelEnd
    */
    public Integer getLevelEnd(){
        return this.levelEnd;
    }

    /**
    * 设置 结束 楼层
    * @param levelEnd
    */
    public void setLevelEnd(Integer levelEnd){
        this.levelEnd = levelEnd;
    }

    /**
    * 获取 增加 楼层
    * @return levelIncrement
    */
    public Integer getLevelIncrement(){
        return this.levelIncrement;
    }

    /**
    * 设置 增加 楼层
    * @param levelIncrement
    */
    public void setLevelIncrement(Integer levelIncrement){
        this.levelIncrement = levelIncrement;
    }

    /**
    * 获取 楼层
    * @return levelList
    */
    public List<Integer> getLevelList(){
        return this.levelList;
    }

    /**
    * 设置 楼层
    * @param levelList
    */
    public void setLevelList(List<Integer> levelList){
        this.levelList = levelList;
    }

    /**
    * 获取 开始 楼栋
    * @return buildingStart
    */
    public Integer getBuildingStart(){
        return this.buildingStart;
    }

    /**
    * 设置 开始 楼栋
    * @param buildingStart
    */
    public void setBuildingStart(Integer buildingStart){
        this.buildingStart = buildingStart;
    }

    /**
    * 获取 结束 楼栋
    * @return $buildingEnd
    */
    public Integer getBuildingEnd(){
        return this.buildingEnd;
    }

    /**
    * 设置 结束 楼栋
    * @param buildingEnd
    */
    public void setBuildingEnd(Integer buildingEnd){
        this.buildingEnd = buildingEnd;
    }

    /**
    * 获取 增加 楼栋
    * @return buildingIncrement
    */
    public Integer getBuildingIncrement(){
        return this.buildingIncrement;
    }

    /**
    * 设置 增加 楼栋
    * @param buildingIncrement
    */
    public void setBuildingIncrement(Integer buildingIncrement){
        this.buildingIncrement = buildingIncrement;
    }

    /**
    * 获取 楼栋
    * @return buildingList
    */
    public List<Integer> getBuildingList(){
        return this.buildingList;
    }

    /**
    * 设置 楼栋
    * @param buildingList
    */
    public void setBuildingList(List<Integer> buildingList){
        this.buildingList = buildingList;
    }

    /**
    * 获取 开始 是否是站点  (1.是,0.否)
    * @return isSiteStart
    */
    public Integer getIsSiteStart(){
        return this.isSiteStart;
    }

    /**
    * 设置 开始 是否是站点  (1.是,0.否)
    * @param isSiteStart
    */
    public void setIsSiteStart(Integer isSiteStart){
        this.isSiteStart = isSiteStart;
    }

    /**
    * 获取 结束 是否是站点  (1.是,0.否)
    * @return $isSiteEnd
    */
    public Integer getIsSiteEnd(){
        return this.isSiteEnd;
    }

    /**
    * 设置 结束 是否是站点  (1.是,0.否)
    * @param isSiteEnd
    */
    public void setIsSiteEnd(Integer isSiteEnd){
        this.isSiteEnd = isSiteEnd;
    }

    /**
    * 获取 增加 是否是站点  (1.是,0.否)
    * @return isSiteIncrement
    */
    public Integer getIsSiteIncrement(){
        return this.isSiteIncrement;
    }

    /**
    * 设置 增加 是否是站点  (1.是,0.否)
    * @param isSiteIncrement
    */
    public void setIsSiteIncrement(Integer isSiteIncrement){
        this.isSiteIncrement = isSiteIncrement;
    }

    /**
    * 获取 是否是站点  (1.是,0.否)
    * @return isSiteList
    */
    public List<Integer> getIsSiteList(){
        return this.isSiteList;
    }

    /**
    * 设置 是否是站点  (1.是,0.否)
    * @param isSiteList
    */
    public void setIsSiteList(List<Integer> isSiteList){
        this.isSiteList = isSiteList;
    }

    /**
    * 获取 开始 站点状态 (0.停用，1.正常)
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 站点状态 (0.停用，1.正常)
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 站点状态 (0.停用，1.正常)
    * @return $statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 站点状态 (0.停用，1.正常)
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 站点状态 (0.停用，1.正常)
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 站点状态 (0.停用，1.正常)
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 站点状态 (0.停用，1.正常)
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 站点状态 (0.停用，1.正常)
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 部署模块，逗号分隔
    * @return modelIdsList
    */
    public List<String> getModelIdsList(){
        return this.modelIdsList;
    }

    /**
    * 设置 部署模块，逗号分隔
    * @param modelIdsList
    */
    public void setModelIdsList(List<String> modelIdsList){
        this.modelIdsList = modelIdsList;
    }
    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public SitePdu id(Long id){
	    setId(id);
		return this;
    }

	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public SitePdu idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public SitePdu idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public SitePdu idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public SitePdu idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public SitePdu siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public SitePdu siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  父级id,默认0
    * @param parentId
    */
    public SitePdu parentId(Long parentId){
	    setParentId(parentId);
		return this;
    }

	 /**
    * 设置 开始 父级id,默认0
    * @param parentIdStart
    */
    public SitePdu parentIdStart(Long parentIdStart){
		this.parentIdStart = parentIdStart;
		return this;
    }

    /**
    * 设置 结束 父级id,默认0
    * @param parentIdEnd
    */
    public SitePdu parentIdEnd(Long parentIdEnd){
		this.parentIdEnd = parentIdEnd;
		return this;
    }

    /**
    * 设置 增加 父级id,默认0
    * @param parentIdIncrement
    */
    public SitePdu parentIdIncrement(Long parentIdIncrement){
		this.parentIdIncrement = parentIdIncrement;
		return this;
    }

    /**
    * 设置 父级id,默认0
    * @param parentIdList
    */
    public SitePdu parentIdList(List<Long> parentIdList){
        this.parentIdList = parentIdList;
		return this;
        }


	/**
    * 设置 祖级列表，逗号分隔
    * @param ancestors
    */
    public SitePdu ancestors(String ancestors){
        setAncestors(ancestors);
		return this;
    }

    /**
    * 设置 祖级列表，逗号分隔
    * @param ancestorsList
    */
    public SitePdu ancestorsList(List<String> ancestorsList){
        this.ancestorsList = ancestorsList;
		return this;
    }


	/**
    * 设置 区域编号
    * @param regionCode
    */
    public SitePdu regionCode(String regionCode){
        setRegionCode(regionCode);
		return this;
    }

    /**
    * 设置 区域编号
    * @param regionCodeList
    */
    public SitePdu regionCodeList(List<String> regionCodeList){
        this.regionCodeList = regionCodeList;
		return this;
    }


	/**
    * 设置 标识ID
    * @param iid
    */
    public SitePdu iid(String iid){
        setIid(iid);
		return this;
    }

    /**
    * 设置 标识ID
    * @param iidList
    */
    public SitePdu iidList(List<String> iidList){
        this.iidList = iidList;
		return this;
    }


	/**
    * 设置 站点编号
    * @param siteCode
    */
    public SitePdu siteCode(String siteCode){
        setSiteCode(siteCode);
		return this;
    }

    /**
    * 设置 站点编号
    * @param siteCodeList
    */
    public SitePdu siteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
		return this;
    }


	/**
    * 设置 省编码
    * @param proCode
    */
    public SitePdu proCode(String proCode){
        setProCode(proCode);
		return this;
    }

    /**
    * 设置 省编码
    * @param proCodeList
    */
    public SitePdu proCodeList(List<String> proCodeList){
        this.proCodeList = proCodeList;
		return this;
    }


	/**
    * 设置 区编码
    * @param areaCode
    */
    public SitePdu areaCode(String areaCode){
        setAreaCode(areaCode);
		return this;
    }

    /**
    * 设置 区编码
    * @param areaCodeList
    */
    public SitePdu areaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
		return this;
    }


	/**
    * 设置 市编码
    * @param cityCode
    */
    public SitePdu cityCode(String cityCode){
        setCityCode(cityCode);
		return this;
    }

    /**
    * 设置 市编码
    * @param cityCodeList
    */
    public SitePdu cityCodeList(List<String> cityCodeList){
        this.cityCodeList = cityCodeList;
		return this;
    }


	/**
    * 设置 站点服务器ip
    * @param siteIp
    */
    public SitePdu siteIp(String siteIp){
        setSiteIp(siteIp);
		return this;
    }

    /**
    * 设置 站点服务器ip
    * @param siteIpList
    */
    public SitePdu siteIpList(List<String> siteIpList){
        this.siteIpList = siteIpList;
		return this;
    }


	/**
    * 设置 站点服务器端口
    * @param sitePort
    */
    public SitePdu sitePort(String sitePort){
        setSitePort(sitePort);
		return this;
    }

    /**
    * 设置 站点服务器端口
    * @param sitePortList
    */
    public SitePdu sitePortList(List<String> sitePortList){
        this.sitePortList = sitePortList;
		return this;
    }


	/**
    * 设置 经度
    * @param longitude
    */
    public SitePdu longitude(String longitude){
        setLongitude(longitude);
		return this;
    }

    /**
    * 设置 经度
    * @param longitudeList
    */
    public SitePdu longitudeList(List<String> longitudeList){
        this.longitudeList = longitudeList;
		return this;
    }


	/**
    * 设置 纬度
    * @param latitude
    */
    public SitePdu latitude(String latitude){
        setLatitude(latitude);
		return this;
    }

    /**
    * 设置 纬度
    * @param latitudeList
    */
    public SitePdu latitudeList(List<String> latitudeList){
        this.latitudeList = latitudeList;
		return this;
    }


	/**
    * 设置 是否有下级(0.否，1.是)
    * @param haveSonArea
    */
    public SitePdu haveSonArea(String haveSonArea){
        setHaveSonArea(haveSonArea);
		return this;
    }

    /**
    * 设置 是否有下级(0.否，1.是)
    * @param haveSonAreaList
    */
    public SitePdu haveSonAreaList(List<String> haveSonAreaList){
        this.haveSonAreaList = haveSonAreaList;
		return this;
    }


	/**
    * 设置 中心联系电话
    * @param siteTel
    */
    public SitePdu siteTel(String siteTel){
        setSiteTel(siteTel);
		return this;
    }

    /**
    * 设置 中心联系电话
    * @param siteTelList
    */
    public SitePdu siteTelList(List<String> siteTelList){
        this.siteTelList = siteTelList;
		return this;
    }


	/**
    * 设置 中心详细地址
    * @param detailAddress
    */
    public SitePdu detailAddress(String detailAddress){
        setDetailAddress(detailAddress);
		return this;
    }

    /**
    * 设置 中心详细地址
    * @param detailAddressList
    */
    public SitePdu detailAddressList(List<String> detailAddressList){
        this.detailAddressList = detailAddressList;
		return this;
    }


	/**
    * 设置 中心介绍
    * @param siteRemark
    */
    public SitePdu siteRemark(String siteRemark){
        setSiteRemark(siteRemark);
		return this;
    }

    /**
    * 设置 中心介绍
    * @param siteRemarkList
    */
    public SitePdu siteRemarkList(List<String> siteRemarkList){
        this.siteRemarkList = siteRemarkList;
		return this;
    }


	/**
    * 设置 上午上班开始时间
    * @param amWorkStartTime
    */
    public SitePdu amWorkStartTime(String amWorkStartTime){
        setAmWorkStartTime(amWorkStartTime);
		return this;
    }

    /**
    * 设置 上午上班开始时间
    * @param amWorkStartTimeList
    */
    public SitePdu amWorkStartTimeList(List<String> amWorkStartTimeList){
        this.amWorkStartTimeList = amWorkStartTimeList;
		return this;
    }


	/**
    * 设置 上午上班结束时间
    * @param amWorkEndTime
    */
    public SitePdu amWorkEndTime(String amWorkEndTime){
        setAmWorkEndTime(amWorkEndTime);
		return this;
    }

    /**
    * 设置 上午上班结束时间
    * @param amWorkEndTimeList
    */
    public SitePdu amWorkEndTimeList(List<String> amWorkEndTimeList){
        this.amWorkEndTimeList = amWorkEndTimeList;
		return this;
    }


	/**
    * 设置 下午上班开始时间
    * @param pmWorkStartTime
    */
    public SitePdu pmWorkStartTime(String pmWorkStartTime){
        setPmWorkStartTime(pmWorkStartTime);
		return this;
    }

    /**
    * 设置 下午上班开始时间
    * @param pmWorkStartTimeList
    */
    public SitePdu pmWorkStartTimeList(List<String> pmWorkStartTimeList){
        this.pmWorkStartTimeList = pmWorkStartTimeList;
		return this;
    }


	/**
    * 设置 下午上班结束时间
    * @param pmWorkEndTime
    */
    public SitePdu pmWorkEndTime(String pmWorkEndTime){
        setPmWorkEndTime(pmWorkEndTime);
		return this;
    }

    /**
    * 设置 下午上班结束时间
    * @param pmWorkEndTimeList
    */
    public SitePdu pmWorkEndTimeList(List<String> pmWorkEndTimeList){
        this.pmWorkEndTimeList = pmWorkEndTimeList;
		return this;
    }

    /**
    * 设置  平均等待时间,后期删除
    * @param averageTime
    */
    public SitePdu averageTime(Integer averageTime){
	    setAverageTime(averageTime);
		return this;
    }

	 /**
    * 设置 开始 平均等待时间,后期删除
    * @param averageTimeStart
    */
    public SitePdu averageTimeStart(Integer averageTimeStart){
		this.averageTimeStart = averageTimeStart;
		return this;
    }

    /**
    * 设置 结束 平均等待时间,后期删除
    * @param averageTimeEnd
    */
    public SitePdu averageTimeEnd(Integer averageTimeEnd){
		this.averageTimeEnd = averageTimeEnd;
		return this;
    }

    /**
    * 设置 增加 平均等待时间,后期删除
    * @param averageTimeIncrement
    */
    public SitePdu averageTimeIncrement(Integer averageTimeIncrement){
		this.averageTimeIncrement = averageTimeIncrement;
		return this;
    }

    /**
    * 设置 平均等待时间,后期删除
    * @param averageTimeList
    */
    public SitePdu averageTimeList(List<Integer> averageTimeList){
        this.averageTimeList = averageTimeList;
		return this;
        }

    /**
    * 设置  等待人数,后期删除
    * @param waitingNumber
    */
    public SitePdu waitingNumber(Integer waitingNumber){
	    setWaitingNumber(waitingNumber);
		return this;
    }

	 /**
    * 设置 开始 等待人数,后期删除
    * @param waitingNumberStart
    */
    public SitePdu waitingNumberStart(Integer waitingNumberStart){
		this.waitingNumberStart = waitingNumberStart;
		return this;
    }

    /**
    * 设置 结束 等待人数,后期删除
    * @param waitingNumberEnd
    */
    public SitePdu waitingNumberEnd(Integer waitingNumberEnd){
		this.waitingNumberEnd = waitingNumberEnd;
		return this;
    }

    /**
    * 设置 增加 等待人数,后期删除
    * @param waitingNumberIncrement
    */
    public SitePdu waitingNumberIncrement(Integer waitingNumberIncrement){
		this.waitingNumberIncrement = waitingNumberIncrement;
		return this;
    }

    /**
    * 设置 等待人数,后期删除
    * @param waitingNumberList
    */
    public SitePdu waitingNumberList(List<Integer> waitingNumberList){
        this.waitingNumberList = waitingNumberList;
		return this;
        }

    /**
    * 设置  周一 (1.上班，0.不上)
    * @param workday1
    */
    public SitePdu workday1(Integer workday1){
	    setWorkday1(workday1);
		return this;
    }

	 /**
    * 设置 开始 周一 (1.上班，0.不上)
    * @param workday1Start
    */
    public SitePdu workday1Start(Integer workday1Start){
		this.workday1Start = workday1Start;
		return this;
    }

    /**
    * 设置 结束 周一 (1.上班，0.不上)
    * @param workday1End
    */
    public SitePdu workday1End(Integer workday1End){
		this.workday1End = workday1End;
		return this;
    }

    /**
    * 设置 增加 周一 (1.上班，0.不上)
    * @param workday1Increment
    */
    public SitePdu workday1Increment(Integer workday1Increment){
		this.workday1Increment = workday1Increment;
		return this;
    }

    /**
    * 设置 周一 (1.上班，0.不上)
    * @param workday1List
    */
    public SitePdu workday1List(List<Integer> workday1List){
        this.workday1List = workday1List;
		return this;
        }

    /**
    * 设置  周二 (1.上班，0.不上)
    * @param workday2
    */
    public SitePdu workday2(Integer workday2){
	    setWorkday2(workday2);
		return this;
    }

	 /**
    * 设置 开始 周二 (1.上班，0.不上)
    * @param workday2Start
    */
    public SitePdu workday2Start(Integer workday2Start){
		this.workday2Start = workday2Start;
		return this;
    }

    /**
    * 设置 结束 周二 (1.上班，0.不上)
    * @param workday2End
    */
    public SitePdu workday2End(Integer workday2End){
		this.workday2End = workday2End;
		return this;
    }

    /**
    * 设置 增加 周二 (1.上班，0.不上)
    * @param workday2Increment
    */
    public SitePdu workday2Increment(Integer workday2Increment){
		this.workday2Increment = workday2Increment;
		return this;
    }

    /**
    * 设置 周二 (1.上班，0.不上)
    * @param workday2List
    */
    public SitePdu workday2List(List<Integer> workday2List){
        this.workday2List = workday2List;
		return this;
        }

    /**
    * 设置  周三 (1.上班，0.不上)
    * @param workday3
    */
    public SitePdu workday3(Integer workday3){
	    setWorkday3(workday3);
		return this;
    }

	 /**
    * 设置 开始 周三 (1.上班，0.不上)
    * @param workday3Start
    */
    public SitePdu workday3Start(Integer workday3Start){
		this.workday3Start = workday3Start;
		return this;
    }

    /**
    * 设置 结束 周三 (1.上班，0.不上)
    * @param workday3End
    */
    public SitePdu workday3End(Integer workday3End){
		this.workday3End = workday3End;
		return this;
    }

    /**
    * 设置 增加 周三 (1.上班，0.不上)
    * @param workday3Increment
    */
    public SitePdu workday3Increment(Integer workday3Increment){
		this.workday3Increment = workday3Increment;
		return this;
    }

    /**
    * 设置 周三 (1.上班，0.不上)
    * @param workday3List
    */
    public SitePdu workday3List(List<Integer> workday3List){
        this.workday3List = workday3List;
		return this;
        }

    /**
    * 设置  周四 (1.上班，0.不上)
    * @param workday4
    */
    public SitePdu workday4(Integer workday4){
	    setWorkday4(workday4);
		return this;
    }

	 /**
    * 设置 开始 周四 (1.上班，0.不上)
    * @param workday4Start
    */
    public SitePdu workday4Start(Integer workday4Start){
		this.workday4Start = workday4Start;
		return this;
    }

    /**
    * 设置 结束 周四 (1.上班，0.不上)
    * @param workday4End
    */
    public SitePdu workday4End(Integer workday4End){
		this.workday4End = workday4End;
		return this;
    }

    /**
    * 设置 增加 周四 (1.上班，0.不上)
    * @param workday4Increment
    */
    public SitePdu workday4Increment(Integer workday4Increment){
		this.workday4Increment = workday4Increment;
		return this;
    }

    /**
    * 设置 周四 (1.上班，0.不上)
    * @param workday4List
    */
    public SitePdu workday4List(List<Integer> workday4List){
        this.workday4List = workday4List;
		return this;
        }

    /**
    * 设置  周五 (1.上班，0.不上)
    * @param workday5
    */
    public SitePdu workday5(Integer workday5){
	    setWorkday5(workday5);
		return this;
    }

	 /**
    * 设置 开始 周五 (1.上班，0.不上)
    * @param workday5Start
    */
    public SitePdu workday5Start(Integer workday5Start){
		this.workday5Start = workday5Start;
		return this;
    }

    /**
    * 设置 结束 周五 (1.上班，0.不上)
    * @param workday5End
    */
    public SitePdu workday5End(Integer workday5End){
		this.workday5End = workday5End;
		return this;
    }

    /**
    * 设置 增加 周五 (1.上班，0.不上)
    * @param workday5Increment
    */
    public SitePdu workday5Increment(Integer workday5Increment){
		this.workday5Increment = workday5Increment;
		return this;
    }

    /**
    * 设置 周五 (1.上班，0.不上)
    * @param workday5List
    */
    public SitePdu workday5List(List<Integer> workday5List){
        this.workday5List = workday5List;
		return this;
        }

    /**
    * 设置  周六 (1.上班，0.不上)
    * @param workday6
    */
    public SitePdu workday6(Integer workday6){
	    setWorkday6(workday6);
		return this;
    }

	 /**
    * 设置 开始 周六 (1.上班，0.不上)
    * @param workday6Start
    */
    public SitePdu workday6Start(Integer workday6Start){
		this.workday6Start = workday6Start;
		return this;
    }

    /**
    * 设置 结束 周六 (1.上班，0.不上)
    * @param workday6End
    */
    public SitePdu workday6End(Integer workday6End){
		this.workday6End = workday6End;
		return this;
    }

    /**
    * 设置 增加 周六 (1.上班，0.不上)
    * @param workday6Increment
    */
    public SitePdu workday6Increment(Integer workday6Increment){
		this.workday6Increment = workday6Increment;
		return this;
    }

    /**
    * 设置 周六 (1.上班，0.不上)
    * @param workday6List
    */
    public SitePdu workday6List(List<Integer> workday6List){
        this.workday6List = workday6List;
		return this;
        }

    /**
    * 设置  周日 (1.上班，0.不上)
    * @param workday7
    */
    public SitePdu workday7(Integer workday7){
	    setWorkday7(workday7);
		return this;
    }

	 /**
    * 设置 开始 周日 (1.上班，0.不上)
    * @param workday7Start
    */
    public SitePdu workday7Start(Integer workday7Start){
		this.workday7Start = workday7Start;
		return this;
    }

    /**
    * 设置 结束 周日 (1.上班，0.不上)
    * @param workday7End
    */
    public SitePdu workday7End(Integer workday7End){
		this.workday7End = workday7End;
		return this;
    }

    /**
    * 设置 增加 周日 (1.上班，0.不上)
    * @param workday7Increment
    */
    public SitePdu workday7Increment(Integer workday7Increment){
		this.workday7Increment = workday7Increment;
		return this;
    }

    /**
    * 设置 周日 (1.上班，0.不上)
    * @param workday7List
    */
    public SitePdu workday7List(List<Integer> workday7List){
        this.workday7List = workday7List;
		return this;
        }

    /**
    * 设置  楼层
    * @param level
    */
    public SitePdu level(Integer level){
	    setLevel(level);
		return this;
    }

	 /**
    * 设置 开始 楼层
    * @param levelStart
    */
    public SitePdu levelStart(Integer levelStart){
		this.levelStart = levelStart;
		return this;
    }

    /**
    * 设置 结束 楼层
    * @param levelEnd
    */
    public SitePdu levelEnd(Integer levelEnd){
		this.levelEnd = levelEnd;
		return this;
    }

    /**
    * 设置 增加 楼层
    * @param levelIncrement
    */
    public SitePdu levelIncrement(Integer levelIncrement){
		this.levelIncrement = levelIncrement;
		return this;
    }

    /**
    * 设置 楼层
    * @param levelList
    */
    public SitePdu levelList(List<Integer> levelList){
        this.levelList = levelList;
		return this;
        }

    /**
    * 设置  楼栋
    * @param building
    */
    public SitePdu building(Integer building){
	    setBuilding(building);
		return this;
    }

	 /**
    * 设置 开始 楼栋
    * @param buildingStart
    */
    public SitePdu buildingStart(Integer buildingStart){
		this.buildingStart = buildingStart;
		return this;
    }

    /**
    * 设置 结束 楼栋
    * @param buildingEnd
    */
    public SitePdu buildingEnd(Integer buildingEnd){
		this.buildingEnd = buildingEnd;
		return this;
    }

    /**
    * 设置 增加 楼栋
    * @param buildingIncrement
    */
    public SitePdu buildingIncrement(Integer buildingIncrement){
		this.buildingIncrement = buildingIncrement;
		return this;
    }

    /**
    * 设置 楼栋
    * @param buildingList
    */
    public SitePdu buildingList(List<Integer> buildingList){
        this.buildingList = buildingList;
		return this;
        }

    /**
    * 设置  是否是站点  (1.是,0.否)
    * @param isSite
    */
    public SitePdu isSite(Integer isSite){
	    setIsSite(isSite);
		return this;
    }

	 /**
    * 设置 开始 是否是站点  (1.是,0.否)
    * @param isSiteStart
    */
    public SitePdu isSiteStart(Integer isSiteStart){
		this.isSiteStart = isSiteStart;
		return this;
    }

    /**
    * 设置 结束 是否是站点  (1.是,0.否)
    * @param isSiteEnd
    */
    public SitePdu isSiteEnd(Integer isSiteEnd){
		this.isSiteEnd = isSiteEnd;
		return this;
    }

    /**
    * 设置 增加 是否是站点  (1.是,0.否)
    * @param isSiteIncrement
    */
    public SitePdu isSiteIncrement(Integer isSiteIncrement){
		this.isSiteIncrement = isSiteIncrement;
		return this;
    }

    /**
    * 设置 是否是站点  (1.是,0.否)
    * @param isSiteList
    */
    public SitePdu isSiteList(List<Integer> isSiteList){
        this.isSiteList = isSiteList;
		return this;
        }

    /**
    * 设置  站点状态 (0.停用，1.正常)
    * @param status
    */
    public SitePdu status(Integer status){
	    setStatus(status);
		return this;
    }

	 /**
    * 设置 开始 站点状态 (0.停用，1.正常)
    * @param statusStart
    */
    public SitePdu statusStart(Integer statusStart){
		this.statusStart = statusStart;
		return this;
    }

    /**
    * 设置 结束 站点状态 (0.停用，1.正常)
    * @param statusEnd
    */
    public SitePdu statusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
		return this;
    }

    /**
    * 设置 增加 站点状态 (0.停用，1.正常)
    * @param statusIncrement
    */
    public SitePdu statusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
		return this;
    }

    /**
    * 设置 站点状态 (0.停用，1.正常)
    * @param statusList
    */
    public SitePdu statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public SitePdu createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }

	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public SitePdu createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public SitePdu createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public SitePdu createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public SitePdu createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }



	/**
    * 设置 部署模块，逗号分隔
    * @param modelIds
    */
    public SitePdu modelIds(String modelIds){
        setModelIds(modelIds);
		return this;
    }

    /**
    * 设置 部署模块，逗号分隔
    * @param modelIdsList
    */
    public SitePdu modelIdsList(List<String> modelIdsList){
        this.modelIdsList = modelIdsList;
		return this;
    }


/**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SitePdu> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SitePdu> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SitePdu> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SitePdu> andConditionList){
        this.andConditionList = andConditionList;
    }

    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SitePdu) {
            SitePdu tmp = (SitePdu) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.siteName = "";

            this.parentId = null;

            this.ancestors = "";

            this.regionCode = "";

            this.iid = "";

            this.siteCode = "";

            this.proCode = "";

            this.areaCode = "";

            this.cityCode = "";

            this.siteIp = "";

            this.sitePort = "";

            this.longitude = "";

            this.latitude = "";

            this.haveSonArea = "0";

            this.siteTel = "";

            this.detailAddress = "";

            this.siteRemark = "";

            this.amWorkStartTime = "";

            this.amWorkEndTime = "";

            this.pmWorkStartTime = "";

            this.pmWorkEndTime = "";

            this.averageTime = null;

            this.waitingNumber = null;

            this.workday1 = 1;

            this.workday2 = 1;

            this.workday3 = 1;

            this.workday4 = 1;

            this.workday5 = 1;

            this.workday6 = 0;

            this.workday7 = 0;

            this.level = null;

            this.building = null;

            this.isSite = 0;

            this.status = 1;

            this.modelIds = "";
    }
}